use std::path::Path;

fn main() {
    let out_dir = std::env::var_os("OUT_DIR").unwrap();
    let out_dir = Path::new(&out_dir);

    let srs_in_path = "../assets/srs.json";
    let srs_out_path = out_dir.join("srs.rs");
    println!("cargo:rerun-if-changed={srs_in_path}");
    mino_code_gen::compile_ruleset(srs_in_path, srs_out_path).unwrap()
}
